org.encog.app.analyst.script

## Class DataField

- java.lang.Object
- - org.encog.app.analyst.script.DataField

- Direct Known Subclasses:
    AnalyzedField

      public class DataField
      extends Object

  Holds stats on a data field for the Encog Analyst. This data is used to normalize the field.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataField(String theName)` Construct the data field.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnalystClassItem>` | `getClassMembers()`
    `double` | `getMax()`
    `double` | `getMean()`
    `double` | `getMin()`
    `int` | `getMinClassCount()` Determine the minimum class count.
    `String` | `getName()`
    `String` | `getSource()`
    `double` | `getStandardDeviation()`
    `boolean` | `isClass()`
    `boolean` | `isComplete()`
    `boolean` | `isInteger()`
    `boolean` | `isReal()`
    `void` | `setClass(boolean theClass)`
    `void` | `setComplete(boolean theComplete)`
    `void` | `setInteger(boolean theInteger)`
    `void` | `setMax(double theMax)`
    `void` | `setMean(double theMean)`
    `void` | `setMin(double theMin)`
    `void` | `setName(String theName)`
    `void` | `setReal(boolean theReal)`
    `void` | `setSource(String source)`
    `void` | `setStandardDeviation(double theStandardDeviation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataField

          public DataField(String theName)

      Construct the data field.
      Parameters:
        `theName` - The name of this field.

  - ### Method Detail

    - #### getClassMembers

          public List<AnalystClassItem> getClassMembers()

      Returns:
        the classMembers

    - #### getMax

          public double getMax()

      Returns:
        the max

    - #### getMean

          public double getMean()

      Returns:
        the mean

    - #### getMin

          public double getMin()

      Returns:
        the min

    - #### getMinClassCount

          public int getMinClassCount()

      Determine the minimum class count. This is the count of the classification field that is the smallest.
      Returns:
        The minimum class count.

    - #### getName

          public String getName()

      Returns:
        the name

    - #### getStandardDeviation

          public double getStandardDeviation()

      Returns:
        the standardDeviation

    - #### isClass

          public boolean isClass()

      Returns:
        the isClass

    - #### isComplete

          public boolean isComplete()

      Returns:
        the isComplete

    - #### isInteger

          public boolean isInteger()

      Returns:
        the isInteger

    - #### isReal

          public boolean isReal()

      Returns:
        the isReal

    - #### setClass

          public void setClass(boolean theClass)

      Parameters:
        `theClass` - the isClass to set

    - #### setComplete

          public void setComplete(boolean theComplete)

      Parameters:
        `theComplete` - the isComplete to set

    - #### setInteger

          public void setInteger(boolean theInteger)

      Parameters:
        `theInteger` - the isInteger to set

    - #### setMax

          public void setMax(double theMax)

      Parameters:
        `theMax` - the max to set

    - #### setMean

          public void setMean(double theMean)

      Parameters:
        `theMean` - the mean to set

    - #### setMin

          public void setMin(double theMin)

      Parameters:
        `theMin` - the theMin to set

    - #### setName

          public void setName(String theName)

      Parameters:
        `theName` - the name to set

    - #### setReal

          public void setReal(boolean theReal)

      Parameters:
        `theReal` - the isReal to set

    - #### setStandardDeviation

          public void setStandardDeviation(double theStandardDeviation)

      Parameters:
        `theStandardDeviation` - the standardDeviation to set

    - #### getSource

          public String getSource()

    - #### setSource

          public void setSource(String source)

Copyright © 2014. All Rights Reserved.